

package gov.va.med.tfs.client.webservice;


import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the gov.va.med.tfs package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory
{
    private final static QName _GetActiveTemplateIdsResponse_QNAME = new QName( "http://webservice.client.tfs.URL       /", "getActiveTemplateIdsResponse" );
    private final static QName _DeleteTemplateMetaDataResponse_QNAME = new QName( "http://webservice.client.tfs.URL       /", "deleteTemplateMetaDataResponse" );
    private final static QName _GetFilterMetaDataResponse_QNAME = new QName( "http://webservice.client.tfs.URL       /", "getFilterMetaDataResponse" );
    private final static QName _GetVhimVersionsResponse_QNAME = new QName( "http://webservice.client.tfs.URL       /", "getVhimVersionsResponse" );
    private final static QName _CreateFilterMetaData_QNAME = new QName( "http://webservice.client.tfs.URL       /", "createFilterMetaData" );
    private final static QName _GetVhimVersions_QNAME = new QName( "http://webservice.client.tfs.URL       /", "getVhimVersions" );
    private final static QName _DeleteFilterMetaDataResponse_QNAME = new QName( "http://webservice.client.tfs.URL       /", "deleteFilterMetaDataResponse" );
    private final static QName _IsAlive_QNAME = new QName( "http://webservice.client.tfs.URL       /", "isAlive" );
    private final static QName _CreateFilterMetaDataResponse_QNAME = new QName( "http://webservice.client.tfs.URL       /", "createFilterMetaDataResponse" );
    private final static QName _DeleteFilterMetaData_QNAME = new QName( "http://webservice.client.tfs.URL       /", "deleteFilterMetaData" );
    private final static QName _GetFilterMetaData_QNAME = new QName( "http://webservice.client.tfs.URL       /", "getFilterMetaData" );
    private final static QName _GetActiveTemplateIds_QNAME = new QName( "http://webservice.client.tfs.URL       /", "getActiveTemplateIds" );
    private final static QName _CreateTemplateMetaDataResponse_QNAME = new QName( "http://webservice.client.tfs.URL       /", "createTemplateMetaDataResponse" );
    private final static QName _CreateTemplateMetaData_QNAME = new QName( "http://webservice.client.tfs.URL       /", "createTemplateMetaData" );
    private final static QName _DeleteTemplateMetaData_QNAME = new QName( "http://webservice.client.tfs.URL       /", "deleteTemplateMetaData" );
    private final static QName _GetTemplateMetaData_QNAME = new QName( "http://webservice.client.tfs.URL       /", "getTemplateMetaData" );
    private final static QName _GetActiveFilterIdsResponse_QNAME = new QName( "http://webservice.client.tfs.URL       /", "getActiveFilterIdsResponse" );
    private final static QName _GetActiveFilterIds_QNAME = new QName( "http://webservice.client.tfs.URL       /", "getActiveFilterIds" );
    private final static QName _GetTemplateMetaDataResponse_QNAME = new QName( "http://webservice.client.tfs.URL       /", "getTemplateMetaDataResponse" );
    private final static QName _IsAliveResponse_QNAME = new QName( "http://webservice.client.tfs.URL       /", "isAliveResponse" );


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: gov.va.med.tfs
     * 
     */
    public ObjectFactory( )
    {
    }


    /**
     * Create an instance of {@link DeleteTemplateMetaData }
     * 
     */
    public DeleteTemplateMetaData createDeleteTemplateMetaData( )
    {
        return new DeleteTemplateMetaData();
    }


    /**
     * Create an instance of {@link GetTemplateMetaData }
     * 
     */
    public GetTemplateMetaData createGetTemplateMetaData( )
    {
        return new GetTemplateMetaData();
    }


    /**
     * Create an instance of {@link GetActiveFilterIdsResponse }
     * 
     */
    public GetActiveFilterIdsResponse createGetActiveFilterIdsResponse( )
    {
        return new GetActiveFilterIdsResponse();
    }


    /**
     * Create an instance of {@link GetTemplateMetaDataResponse }
     * 
     */
    public GetTemplateMetaDataResponse createGetTemplateMetaDataResponse( )
    {
        return new GetTemplateMetaDataResponse();
    }


    /**
     * Create an instance of {@link GetActiveFilterIds }
     * 
     */
    public GetActiveFilterIds createGetActiveFilterIds( )
    {
        return new GetActiveFilterIds();
    }


    /**
     * Create an instance of {@link IsAliveResponse }
     * 
     */
    public IsAliveResponse createIsAliveResponse( )
    {
        return new IsAliveResponse();
    }


    /**
     * Create an instance of {@link GetFilterMetaData }
     * 
     */
    public GetFilterMetaData createGetFilterMetaData( )
    {
        return new GetFilterMetaData();
    }


    /**
     * Create an instance of {@link GetActiveTemplateIds }
     * 
     */
    public GetActiveTemplateIds createGetActiveTemplateIds( )
    {
        return new GetActiveTemplateIds();
    }


    /**
     * Create an instance of {@link CreateTemplateMetaDataResponse }
     * 
     */
    public CreateTemplateMetaDataResponse createCreateTemplateMetaDataResponse( )
    {
        return new CreateTemplateMetaDataResponse();
    }


    /**
     * Create an instance of {@link CreateTemplateMetaData }
     * 
     */
    public CreateTemplateMetaData createCreateTemplateMetaData( )
    {
        return new CreateTemplateMetaData();
    }


    /**
     * Create an instance of {@link CreateFilterMetaDataResponse }
     * 
     */
    public CreateFilterMetaDataResponse createCreateFilterMetaDataResponse( )
    {
        return new CreateFilterMetaDataResponse();
    }


    /**
     * Create an instance of {@link DeleteFilterMetaData }
     * 
     */
    public DeleteFilterMetaData createDeleteFilterMetaData( )
    {
        return new DeleteFilterMetaData();
    }


    /**
     * Create an instance of {@link GetActiveTemplateIdsResponse }
     * 
     */
    public GetActiveTemplateIdsResponse createGetActiveTemplateIdsResponse( )
    {
        return new GetActiveTemplateIdsResponse();
    }


    /**
     * Create an instance of {@link GetVhimVersionsResponse }
     * 
     */
    public GetVhimVersionsResponse createGetVhimVersionsResponse( )
    {
        return new GetVhimVersionsResponse();
    }


    /**
     * Create an instance of {@link GetFilterMetaDataResponse }
     * 
     */
    public GetFilterMetaDataResponse createGetFilterMetaDataResponse( )
    {
        return new GetFilterMetaDataResponse();
    }


    /**
     * Create an instance of {@link DeleteTemplateMetaDataResponse }
     * 
     */
    public DeleteTemplateMetaDataResponse createDeleteTemplateMetaDataResponse( )
    {
        return new DeleteTemplateMetaDataResponse();
    }


    /**
     * Create an instance of {@link IsAlive }
     * 
     */
    public IsAlive createIsAlive( )
    {
        return new IsAlive();
    }


    /**
     * Create an instance of {@link DeleteFilterMetaDataResponse }
     * 
     */
    public DeleteFilterMetaDataResponse createDeleteFilterMetaDataResponse( )
    {
        return new DeleteFilterMetaDataResponse();
    }


    /**
     * Create an instance of {@link GetVhimVersions }
     * 
     */
    public GetVhimVersions createGetVhimVersions( )
    {
        return new GetVhimVersions();
    }


    /**
     * Create an instance of {@link CreateFilterMetaData }
     * 
     */
    public CreateFilterMetaData createCreateFilterMetaData( )
    {
        return new CreateFilterMetaData();
    }


    /**
     * Create an instance of {@link EntryFilter }
     * 
     */
    public EntryFilter createEntryFilter( )
    {
        return new EntryFilter();
    }


    /**
     * Create an instance of {@link DomainEntryPoint }
     * 
     */
    public DomainEntryPoint createDomainEntryPoint( )
    {
        return new DomainEntryPoint();
    }


    /**
     * Create an instance of {@link TemplateMetaData }
     * 
     */
    public TemplateMetaData createTemplateMetaData( )
    {
        return new TemplateMetaData();
    }


    /**
     * Create an instance of {@link FilterMetaData }
     * 
     */
    public FilterMetaData createFilterMetaData( )
    {
        return new FilterMetaData();
    }


    /**
     * Create an instance of {@link VhimVersionWrapper }
     * 
     */
    public VhimVersionWrapper createVhimVersionWrapper( )
    {
        return new VhimVersionWrapper();
    }


    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetActiveTemplateIdsResponse }{@code >}}
     * 
     */
    @XmlElementDecl( namespace = "http://webservice.client.tfs.URL       /", name = "getActiveTemplateIdsResponse" )
    public JAXBElement<GetActiveTemplateIdsResponse> createGetActiveTemplateIdsResponse( GetActiveTemplateIdsResponse value )
    {
        return new JAXBElement<GetActiveTemplateIdsResponse>( _GetActiveTemplateIdsResponse_QNAME, GetActiveTemplateIdsResponse.class, null, value );
    }


    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeleteTemplateMetaDataResponse }{@code >}}
     * 
     */
    @XmlElementDecl( namespace = "http://webservice.client.tfs.URL       /", name = "deleteTemplateMetaDataResponse" )
    public JAXBElement<DeleteTemplateMetaDataResponse> createDeleteTemplateMetaDataResponse( DeleteTemplateMetaDataResponse value )
    {
        return new JAXBElement<DeleteTemplateMetaDataResponse>( _DeleteTemplateMetaDataResponse_QNAME, DeleteTemplateMetaDataResponse.class, null,
                        value );
    }


    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetFilterMetaDataResponse }{@code >}}
     * 
     */
    @XmlElementDecl( namespace = "http://webservice.client.tfs.URL       /", name = "getFilterMetaDataResponse" )
    public JAXBElement<GetFilterMetaDataResponse> createGetFilterMetaDataResponse( GetFilterMetaDataResponse value )
    {
        return new JAXBElement<GetFilterMetaDataResponse>( _GetFilterMetaDataResponse_QNAME, GetFilterMetaDataResponse.class, null, value );
    }


    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetVhimVersionsResponse }{@code >}}
     * 
     */
    @XmlElementDecl( namespace = "http://webservice.client.tfs.URL       /", name = "getVhimVersionsResponse" )
    public JAXBElement<GetVhimVersionsResponse> createGetVhimVersionsResponse( GetVhimVersionsResponse value )
    {
        return new JAXBElement<GetVhimVersionsResponse>( _GetVhimVersionsResponse_QNAME, GetVhimVersionsResponse.class, null, value );
    }


    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreateFilterMetaData }{@code >}}
     * 
     */
    @XmlElementDecl( namespace = "http://webservice.client.tfs.URL       /", name = "createFilterMetaData" )
    public JAXBElement<CreateFilterMetaData> createCreateFilterMetaData( CreateFilterMetaData value )
    {
        return new JAXBElement<CreateFilterMetaData>( _CreateFilterMetaData_QNAME, CreateFilterMetaData.class, null, value );
    }


    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetVhimVersions }{@code >}}
     * 
     */
    @XmlElementDecl( namespace = "http://webservice.client.tfs.URL       /", name = "getVhimVersions" )
    public JAXBElement<GetVhimVersions> createGetVhimVersions( GetVhimVersions value )
    {
        return new JAXBElement<GetVhimVersions>( _GetVhimVersions_QNAME, GetVhimVersions.class, null, value );
    }


    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeleteFilterMetaDataResponse }{@code >}}
     * 
     */
    @XmlElementDecl( namespace = "http://webservice.client.tfs.URL       /", name = "deleteFilterMetaDataResponse" )
    public JAXBElement<DeleteFilterMetaDataResponse> createDeleteFilterMetaDataResponse( DeleteFilterMetaDataResponse value )
    {
        return new JAXBElement<DeleteFilterMetaDataResponse>( _DeleteFilterMetaDataResponse_QNAME, DeleteFilterMetaDataResponse.class, null, value );
    }


    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IsAlive }{@code >}}
     * 
     */
    @XmlElementDecl( namespace = "http://webservice.client.tfs.URL       /", name = "isAlive" )
    public JAXBElement<IsAlive> createIsAlive( IsAlive value )
    {
        return new JAXBElement<IsAlive>( _IsAlive_QNAME, IsAlive.class, null, value );
    }


    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreateFilterMetaDataResponse }{@code >}}
     * 
     */
    @XmlElementDecl( namespace = "http://webservice.client.tfs.URL       /", name = "createFilterMetaDataResponse" )
    public JAXBElement<CreateFilterMetaDataResponse> createCreateFilterMetaDataResponse( CreateFilterMetaDataResponse value )
    {
        return new JAXBElement<CreateFilterMetaDataResponse>( _CreateFilterMetaDataResponse_QNAME, CreateFilterMetaDataResponse.class, null, value );
    }


    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeleteFilterMetaData }{@code >}}
     * 
     */
    @XmlElementDecl( namespace = "http://webservice.client.tfs.URL       /", name = "deleteFilterMetaData" )
    public JAXBElement<DeleteFilterMetaData> createDeleteFilterMetaData( DeleteFilterMetaData value )
    {
        return new JAXBElement<DeleteFilterMetaData>( _DeleteFilterMetaData_QNAME, DeleteFilterMetaData.class, null, value );
    }


    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetFilterMetaData }{@code >}}
     * 
     */
    @XmlElementDecl( namespace = "http://webservice.client.tfs.URL       /", name = "getFilterMetaData" )
    public JAXBElement<GetFilterMetaData> createGetFilterMetaData( GetFilterMetaData value )
    {
        return new JAXBElement<GetFilterMetaData>( _GetFilterMetaData_QNAME, GetFilterMetaData.class, null, value );
    }


    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetActiveTemplateIds }{@code >}}
     * 
     */
    @XmlElementDecl( namespace = "http://webservice.client.tfs.URL       /", name = "getActiveTemplateIds" )
    public JAXBElement<GetActiveTemplateIds> createGetActiveTemplateIds( GetActiveTemplateIds value )
    {
        return new JAXBElement<GetActiveTemplateIds>( _GetActiveTemplateIds_QNAME, GetActiveTemplateIds.class, null, value );
    }


    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreateTemplateMetaDataResponse }{@code >}}
     * 
     */
    @XmlElementDecl( namespace = "http://webservice.client.tfs.URL       /", name = "createTemplateMetaDataResponse" )
    public JAXBElement<CreateTemplateMetaDataResponse> createCreateTemplateMetaDataResponse( CreateTemplateMetaDataResponse value )
    {
        return new JAXBElement<CreateTemplateMetaDataResponse>( _CreateTemplateMetaDataResponse_QNAME, CreateTemplateMetaDataResponse.class, null,
                        value );
    }


    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreateTemplateMetaData }{@code >}}
     * 
     */
    @XmlElementDecl( namespace = "http://webservice.client.tfs.URL       /", name = "createTemplateMetaData" )
    public JAXBElement<CreateTemplateMetaData> createCreateTemplateMetaData( CreateTemplateMetaData value )
    {
        return new JAXBElement<CreateTemplateMetaData>( _CreateTemplateMetaData_QNAME, CreateTemplateMetaData.class, null, value );
    }


    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeleteTemplateMetaData }{@code >}}
     * 
     */
    @XmlElementDecl( namespace = "http://webservice.client.tfs.URL       /", name = "deleteTemplateMetaData" )
    public JAXBElement<DeleteTemplateMetaData> createDeleteTemplateMetaData( DeleteTemplateMetaData value )
    {
        return new JAXBElement<DeleteTemplateMetaData>( _DeleteTemplateMetaData_QNAME, DeleteTemplateMetaData.class, null, value );
    }


    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetTemplateMetaData }{@code >}}
     * 
     */
    @XmlElementDecl( namespace = "http://webservice.client.tfs.URL       /", name = "getTemplateMetaData" )
    public JAXBElement<GetTemplateMetaData> createGetTemplateMetaData( GetTemplateMetaData value )
    {
        return new JAXBElement<GetTemplateMetaData>( _GetTemplateMetaData_QNAME, GetTemplateMetaData.class, null, value );
    }


    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetActiveFilterIdsResponse }{@code >}}
     * 
     */
    @XmlElementDecl( namespace = "http://webservice.client.tfs.URL       /", name = "getActiveFilterIdsResponse" )
    public JAXBElement<GetActiveFilterIdsResponse> createGetActiveFilterIdsResponse( GetActiveFilterIdsResponse value )
    {
        return new JAXBElement<GetActiveFilterIdsResponse>( _GetActiveFilterIdsResponse_QNAME, GetActiveFilterIdsResponse.class, null, value );
    }


    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetActiveFilterIds }{@code >}}
     * 
     */
    @XmlElementDecl( namespace = "http://webservice.client.tfs.URL       /", name = "getActiveFilterIds" )
    public JAXBElement<GetActiveFilterIds> createGetActiveFilterIds( GetActiveFilterIds value )
    {
        return new JAXBElement<GetActiveFilterIds>( _GetActiveFilterIds_QNAME, GetActiveFilterIds.class, null, value );
    }


    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetTemplateMetaDataResponse }{@code >}}
     * 
     */
    @XmlElementDecl( namespace = "http://webservice.client.tfs.URL       /", name = "getTemplateMetaDataResponse" )
    public JAXBElement<GetTemplateMetaDataResponse> createGetTemplateMetaDataResponse( GetTemplateMetaDataResponse value )
    {
        return new JAXBElement<GetTemplateMetaDataResponse>( _GetTemplateMetaDataResponse_QNAME, GetTemplateMetaDataResponse.class, null, value );
    }


    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IsAliveResponse }{@code >}}
     * 
     */
    @XmlElementDecl( namespace = "http://webservice.client.tfs.URL       /", name = "isAliveResponse" )
    public JAXBElement<IsAliveResponse> createIsAliveResponse( IsAliveResponse value )
    {
        return new JAXBElement<IsAliveResponse>( _IsAliveResponse_QNAME, IsAliveResponse.class, null, value );
    }

}
